"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAvaliablePort = exports.isAvailablePort = void 0;
const http = require("http");
function isAvailablePort(port) {
    return new Promise((resolve) => {
        const server = http.createServer()
            .listen(port, () => {
            server.close();
            resolve(true);
        })
            .on('error', () => {
            resolve(false);
        });
    });
}
exports.isAvailablePort = isAvailablePort;
async function getAvaliablePort(port) {
    if (!(await isAvailablePort(port))) {
        port++;
    }
    return port;
}
exports.getAvaliablePort = getAvaliablePort;
//# sourceMappingURL=http.js.map